Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000209 [Piwigo] database minor always 2005.11.16 18:23 2005.12.06 22:21
Reporter kaouete View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.1 Product Version 1.5.0
  Target Version Product Build
Summary 0000209: Le schema n'est pas convenablement mis à jour.
Description Bonjour,

Il semblerait que lors de la mise à jour du schema (par exemple dans mon cas ce fut 1.4.1 vers 1.5) seuls les ajouts à la base soient pris en compte.

Par exemple la table users qui contenait toutes les infos sur les utilisateurs ne contient plus que le strict minimum (id, username, pass, mail). Les autres colonnes n'ont pourtant pas été supprimées.

De plus je vois un certain nombre de difference entre les schemas de la 1.4.1 et ceux de la 1.5.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000431)
plg (manager)
2005.11.16 22:45

Bien vu. En effet, je viens de comparer le schéma de ma 1.4.0 migrée en 1.5.0 et de ma 1.5.0 officielle, et j'ai les différences que tu soulignes : il reste des colonnes obsoletes dans la table "users".

J'ai un autre écart sans importance : la colonne users.password qui passe de varchar(255) à varchar(32).

Bref, c'est pénible à rattraper ce genre de bug car certaines installation de PhpWebGallery 1.5.0 auront des colonnes obsoletes mais pas la totalité des installations... et que c'est le genre de chose qui va traîner pendant plusieurs branches :-/
(0000435)
flipflip (reporter)
2005.11.17 20:18

Vous ne pouvez pas publier un patch qui fait une mise à jour la base d'une version 1.4.1 migrer vers la 1.5.0 à une version 1.5.0 officiel ?
(0000437)
plg (manager)
2005.11.17 20:32

> Vous ne pouvez pas publier un patch qui fait une
> mise à jour la base d'une version 1.4.1 migrer vers
> la 1.5.0 à une version 1.5.0 officiel ?

Je ne vois pas trop comment faire. Je sais faire ce patch, mais il vaudrait mieux publier rapidement la release 1.5.1 et le script d'upgrade 1.5.0 vers 1.5.1 prendra en compte les suppressions de colonnes à condition qu'elles existent.

Bref, je pense sortir la 1.5.1 rapidement, par exemple ce WE.
(0000438)
flipflip (reporter)
2005.11.18 07:11

>1.5.1 et le script d'upgrade 1.5.0 vers 1.5.1 prendra en compte les suppressions > de colonnes à condition qu'elles existent

C'est dans ce sens que je le pensais :)
(0000497)
plg (manager)
2005.12.06 22:21

Bon, je pense avoir enfin terminé cette correction de bogue. Voir [Subversion] r974

J'ai fait quelques tests concluants :

- 1.4.0 migrée en 1.5.0 migrée en 1.5.1
- 1.5.0 migrée en 1.5.1

donnent le même résultat :-)

- Issue History
Date Modified Username Field Change
2005.11.16 18:23 kaouete New Issue
2005.11.16 18:23 kaouete browser => any
2005.11.16 18:23 kaouete Web server => Apache 1.3.x
2005.11.16 22:45 plg Note Added: 0000431
2005.11.16 22:45 plg Assigned To => plg
2005.11.16 22:45 plg Status new => assigned
2005.11.17 20:18 flipflip Note Added: 0000435
2005.11.17 20:32 plg Note Added: 0000437
2005.11.18 07:11 flipflip Note Added: 0000438
2005.12.06 22:21 plg Note Added: 0000497
2005.12.06 22:21 plg Status assigned => closed
2005.12.06 22:21 plg Resolution open => fixed
2005.12.06 22:21 plg Fixed in Version => 1.5.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker